> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/getgraphicaluielementbyname.md).

# GetGraphicalUiElementByName

### Introduction

GetGraphicalUiElementByName returns the instance of a contained element by name, or null if a matching element isn't found.

### Code Example

The following code can be used to find the "Score" component and disable it from being a clickable UI element:

```csharp
// Assuming the current code has a EntireGumScreen object:
EntireGumScreen.GetGraphicalUiElementByName("Score").Enabled = false;
```

For more information on the Enabled property, see [the IWindow.Enabled page](/flatredball/api/flatredball/gui/iinputreceiver/iwindow/enabled.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/getgraphicaluielementbyname.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
